diff --git a/changelog b/changelog
index 1a10e31..4921b44 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,4 @@
+20080318 tpd src/input/kamke2.input check results using Maxima
 20080317 tpd src/input/kamke2.input check results using Maple
 20080316 tpd src/input/kamke2.input check results using Mathematica.
 20080316 acr src/algebra/mathml.spad invisibletimes == <mspace width=0.3em>
diff --git a/src/input/kamke2.input.pamphlet b/src/input/kamke2.input.pamphlet
index c7bf2ba..0419904 100644
--- a/src/input/kamke2.input.pamphlet
+++ b/src/input/kamke2.input.pamphlet
@@ -40,6 +40,7 @@ g:=operator 'g
 --R                                                          Type: BasicOperator
 --E 3
 
+-------------------------------------------------------------------
 --S 4 of 131
 ode101 := x*D(y(x),x) + x*y(x)**2 - y(x)
 --R
@@ -50,6 +51,9 @@ ode101 := x*D(y(x),x) + x*y(x)**2 - y(x)
 --E 4
 
 @
+Maxima gives $$\frac{2x}{x^2-2\%c}$$ 
+which can be substituted and simplifies to 0.
+
 Maple gives
 $$\frac{2x}{x^2+2\_C1}$$
 which can be substituted and simplifies to 0.
@@ -80,6 +84,7 @@ ode101expr := x*D(yx,x) + x*yx**2 - yx
 --R                                                     Type: Expression Integer
 --E 6
 
+-------------------------------------------------------------------
 --S 7 of 131
 ode102 := x*D(y(x),x) + x*y(x)**2 - y(x) - a*x**3
 --R
@@ -90,6 +95,8 @@ ode102 := x*D(y(x),x) + x*y(x)**2 - y(x) - a*x**3
 --E 7
 
 @
+Maxima fails.
+
 Maple gives
 $$\tanh(\left(\frac{x^2\sqrt{a}}{2}+\_C1\sqrt{a}\right)x\sqrt{a}$$
 which, upon substitution, simplifies to 0.
@@ -212,6 +219,7 @@ ode102expr := x*D(yx,x) + x*yx**2 - yx - a*x**3
 --R                                                     Type: Expression Integer
 --E 9
 
+-------------------------------------------------------------------
 --S 10 of 131
 ode103 := x*D(y(x),x) + x*y(x)**2 - (2*x**2+1)*y(x) - x**3
 --R
@@ -222,6 +230,8 @@ ode103 := x*D(y(x),x) + x*y(x)**2 - (2*x**2+1)*y(x) - x**3
 --E 10
 
 @
+Maxima fails.
+
 Maple gives
 $$\frac{1}{2}x\left(\sqrt{2}+
 2\tanh\left(\frac{(x^2+x\_C1)\sqrt{2}}{2}\right)\right)\sqrt{2}$$
@@ -298,6 +308,7 @@ ode103expr := x*D(yx,x) + x*yx**2 - (2*x**2+1)*yx - x**3
 --R                                                     Type: Expression Integer
 --E 12
 
+-------------------------------------------------------------------
 --S 13 of 131
 ode104 := x*D(y(x),x) + a*x*y(x)**2 + 2*y(x) + b*x
 --R
@@ -308,6 +319,8 @@ ode104 := x*D(y(x),x) + a*x*y(x)**2 + 2*y(x) + b*x
 --E 13
 
 @
+Maxima fails.
+
 Maple gets:
 $$-\frac{\sqrt{x(a+b)}
 \left(\_C1~{\rm BesselY}\left(3,2\sqrt{x(a+b)}\right)+
@@ -403,6 +416,7 @@ ode104expr := x*D(yx,x) + a*x*yx**2 + 2*yx + b*x
 --R                                                     Type: Expression Integer
 --E 15
 
+-------------------------------------------------------------------
 --S 16 of 131
 ode105 := x*D(y(x),x) + a*x*y(x)**2 + b*y(x) + c*x + d
 --R
@@ -413,6 +427,8 @@ ode105 := x*D(y(x),x) + a*x*y(x)**2 + b*y(x) + c*x + d
 --E 16
 
 @
+Maxima fails.
+
 Note that this complains about being unable to factor
 $$x^3-3x^2+(-b^2+2b+2)x+b^2-2b$$
 but MMA factors this instantly to be:
@@ -428,6 +444,7 @@ yx:=solve(ode105,y,x)
 --R                                                    Type: Union("failed",...)
 --E 17
 
+-------------------------------------------------------------------
 --S 18 of 131
 ode106 := x*D(y(x),x) + x**a*y(x)**2 + (a-b)*y(x)/2 + x**b
 --R
@@ -440,6 +457,8 @@ ode106 := x*D(y(x),x) + x**a*y(x)**2 + (a-b)*y(x)/2 + x**b
 --E 18
 
 @
+Maxima fails.
+
 Maple gets
 $$-\frac{\tan\left(
 \frac{\displaystyle 2x^{\left(\displaystyle
@@ -461,6 +480,7 @@ yx:=solve(ode106,y,x)
 --R                                                    Type: Union("failed",...)
 --E 19
 
+-------------------------------------------------------------------
 --S 20 of 131
 ode107 := x*D(y(x),x) + a*x**alpha*y(x)**2 + b*y(x) - c*x**beta
 --R
@@ -470,6 +490,9 @@ ode107 := x*D(y(x),x) + a*x**alpha*y(x)**2 + b*y(x) - c*x**beta
 --R                                                     Type: Expression Integer
 --E 20
 
+@
+Maxima fails.
+<<*>>=
 --S 21 of 131
 yx:=solve(ode107,y,x)
 --R
@@ -477,6 +500,7 @@ yx:=solve(ode107,y,x)
 --R                                                    Type: Union("failed",...)
 --E 21
 
+-------------------------------------------------------------------
 --S 22 of 131
 ode108 := x*D(y(x),x) - y(x)**2*log(x) + y(x)
 --R
@@ -486,6 +510,10 @@ ode108 := x*D(y(x),x) - y(x)**2*log(x) + y(x)
 --R                                                     Type: Expression Integer
 --E 22
 @
+Maxima gets:
+$$\frac{1}{x\left(\frac{\log(x)}{x}+\frac{1}{x}+\%c\right)}$$
+which does not simplify on substitution.
+
 Maple gets:
 $$\frac{1}{1+\log(x)+x\_C1}$$
 which, on substitution, simplifies to 0.
@@ -519,6 +547,7 @@ ode108expr := x*D(yx,x) - yx**2*log(x) + yx
 --R                                                     Type: Expression Integer
 --E 24
 
+-------------------------------------------------------------------
 --S 25 of 131
 ode109 := x*D(y(x),x) - y(x)*(2*y(x)*log(x)-1)
 --R
@@ -529,11 +558,14 @@ ode109 := x*D(y(x),x) - y(x)*(2*y(x)*log(x)-1)
 --E 25
 
 @
+Maxima gets:
+$$\frac{1}{x\left(\%c-2\left(-\frac{\log(x)}{x}-\frac{1}{x}\right)\right)}$$
+which does not simplify to 0 on substitution.
+
 Maple gets:
 $$\frac{1}{2+2\log(x)+x~\_C1}$$
 which simplifies to 0 on substitition.
 
-
 Mathematica gets
 $$\frac{1}{2+xC[1]+2\log(x)}$$
 which simplifies to 0 on substitution.
@@ -563,6 +595,7 @@ ode109expr := x*D(yx,x) - yx*(2*yx*log(x)-1)
 --R                                                     Type: Expression Integer
 --E 27
 
+-------------------------------------------------------------------
 --S 28 of 131
 ode110 := x*D(y(x),x) + f(x)*(y(x)**2-x**2)
 --R
@@ -572,6 +605,9 @@ ode110 := x*D(y(x),x) + f(x)*(y(x)**2-x**2)
 --R                                                     Type: Expression Integer
 --E 28
 
+@
+Maxima failed.
+<<*>>=
 --S 29 of 131
 yx:=solve(ode110,y,x)
 --R
@@ -579,6 +615,7 @@ yx:=solve(ode110,y,x)
 --R                                                    Type: Union("failed",...)
 --E 29
 
+-------------------------------------------------------------------
 --S 30 of 131
 ode111 := x*D(y(x),x) + y(x)**3 + 3*x*y(x)**2
 --R
@@ -589,6 +626,8 @@ ode111 := x*D(y(x),x) + y(x)**3 + 3*x*y(x)**2
 --E 30
 
 @
+Maxima fails.
+
 Maple gets 0 which simplifies to 0 on substitution.
 <<*>>=
 
@@ -599,10 +638,7 @@ yx:=solve(ode111,y,x)
 --R                                                    Type: Union("failed",...)
 --E 31
 
-@
-Maple gets 0 but simplification gives the result $csgn(x)x$.
-<<*>>=
-
+-------------------------------------------------------------------
 --S 32 of 131
 ode112 := x*D(y(x),x) - sqrt(y(x)**2 + x**2) - y(x)
 --R
@@ -613,6 +649,15 @@ ode112 := x*D(y(x),x) - sqrt(y(x)**2 + x**2) - y(x)
 --R                                                     Type: Expression Integer
 --E 32
 
+@
+Maxima gets
+$$x=\%c \%e^{\displaystyle
+\frac{x {\rm asinh}\left(\frac{y}{x}\right)}{\vert x\vert}}$$
+which does not simplify to 0 on substitution.
+
+Maple gets 0 but simplification gives the result $csgn(x)x$.
+<<*>>=
+
 --S 33 of 131
 yx:=solve(ode112,y,x)
 --R
@@ -620,6 +665,7 @@ yx:=solve(ode112,y,x)
 --R                                                    Type: Union("failed",...)
 --E 33
 
+-------------------------------------------------------------------
 --S 34 of 131
 ode113 := x*D(y(x),x) + a*sqrt(y(x)**2 + x**2) - y(x)
 --R
@@ -631,6 +677,11 @@ ode113 := x*D(y(x),x) + a*sqrt(y(x)**2 + x**2) - y(x)
 --E 34
 
 @
+Maxima gets
+$$x=\%c \%e^{\displaystyle
+-\frac{x {\rm asinh}\left(\frac{y}{x}\right)}{a\vert x\vert}}$$
+which does not simplify to 0 on substitution.
+
 Maple gets 0 but on substitition this simplifies to $a~csgn(x)~x$
 
 Mathematica gets
@@ -646,6 +697,7 @@ yx:=solve(ode113,y,x)
 --R                                                    Type: Union("failed",...)
 --E 35
 
+-------------------------------------------------------------------
 --S 36 of 131
 ode114 := x*D(y(x),x) - x*sqrt(y(x)**2 + x**2) - y(x)
 --R
@@ -657,6 +709,8 @@ ode114 := x*D(y(x),x) - x*sqrt(y(x)**2 + x**2) - y(x)
 --E 36
 
 @
+Maxima fails.
+
 Maple gets 0 but, on substitition, simplifies to $-x^2csqn(x)$.
 
 Mathematica gets
@@ -670,6 +724,7 @@ yx:=solve(ode114,y,x)
 --R                                                    Type: Union("failed",...)
 --E 37
 
+-------------------------------------------------------------------
 --S 38 of 131
 ode115 := x*D(y(x),x) - x*(y(x)-x)*sqrt(y(x)**2 + x**2) - y(x)
 --R
@@ -681,6 +736,8 @@ ode115 := x*D(y(x),x) - x*(y(x)-x)*sqrt(y(x)**2 + x**2) - y(x)
 --E 38
 
 @
+Maxima failed.
+
 Maple claims the result is 0 but simplifies it, on substitution, to
 $x^3 csgn(x)$.
 
@@ -694,6 +751,7 @@ yx:=solve(ode115,y,x)
 --R                                                    Type: Union("failed",...)
 --E 39
 
+-------------------------------------------------------------------
 --S 40 of 131
 ode116 := x*D(y(x),x) - x*sqrt((y(x)**2 - x**2)*(y(x)**2-4*x**2)) - y(x)
 --R
@@ -705,6 +763,8 @@ ode116 := x*D(y(x),x) - x*sqrt((y(x)**2 - x**2)*(y(x)**2-4*x**2)) - y(x)
 --E 40
 
 @
+Maxima failed.
+
 Maple claims the answer is 0 but simplifies, on substitution, to
 $-2x^3 csgn(x^2)$.
 
@@ -720,6 +780,7 @@ yx:=solve(ode116,y,x)
 --R                                                    Type: Union("failed",...)
 --E 41
 
+-------------------------------------------------------------------
 --S 42 of 131
 ode117 := x*D(y(x),x) - x*exp(y(x)/x) - y(x) - x
 --R
@@ -732,6 +793,10 @@ ode117 := x*D(y(x),x) - x*exp(y(x)/x) - y(x) - x
 --E 42
 
 @
+Maxima gets:
+$$\%c~x=\%e^{\displaystyle -\frac{x\log(\%e^{y/x}+1)-y}{x}}$$
+which does not simplify to 0 on substitution.
+
 Maple gets:
 $$\left(\log\left(-\frac{x}{-1+x~e^{\_C1}}\right)+\_C1\right)x$$
 which simplifies to 0 on substitution.
@@ -749,6 +814,7 @@ yx:=solve(ode117,y,x)
 --R                                                    Type: Union("failed",...)
 --E 43
 
+-------------------------------------------------------------------
 --S 44 of 131
 ode118 := x*D(y(x),x) - y(x)*log(y(x))
 --R
@@ -759,6 +825,10 @@ ode118 := x*D(y(x),x) - y(x)*log(y(x))
 --E 44
 
 @
+Maxima gets 
+$$\%e^{\%e^{\%c}x}$$
+which, on substitution, simplifies to 0.
+
 Maple gets
 $$e^{(x~\_C1)}$$
 which, on substitution, does not simplify to 0.
@@ -790,6 +860,7 @@ ode118expr := x*D(yx,x) - yx*log(yx)
 --R                                                     Type: Expression Integer
 --E 46
 
+-------------------------------------------------------------------
 --S 47 of 131
 ode119 := x*D(y(x),x) - y(x)*(log(x*y(x))-1)
 --R
@@ -800,6 +871,12 @@ ode119 := x*D(y(x),x) - y(x)*(log(x*y(x))-1)
 --E 47
 
 @
+$$\frac{1}{x}$$ simplifies to 0.
+
+Maxima gets 
+$$\frac{\%e^{x/\%c}}{x}$$
+which, on substitution, does not simplify to 0.
+
 Maple get
 $$\frac{e^{\left(\frac{x}{\_C1}\right)}}{x}$$
 which, on substitution, does not simplify to 0.
@@ -815,6 +892,7 @@ yx:=solve(ode119,y,x)
 --R                                                    Type: Union("failed",...)
 --E 48
 
+-------------------------------------------------------------------
 --S 49 of 131
 ode120 := x*D(y(x),x) - y(x)*(x*log(x**2/y(x))+2)
 --R
@@ -826,6 +904,8 @@ ode120 := x*D(y(x),x) - y(x)*(x*log(x**2/y(x))+2)
 --E 49
 
 @
+Maxima fails.
+
 Maple gets
 $$\frac{x^2}{e^{\left(\frac{\_C1}{e^x}\right)}}$$
 which, on substitution, does not simplify to 0.
@@ -841,6 +921,7 @@ yx:=solve(ode120,y,x)
 --R                                                    Type: Union("failed",...)
 --E 50
 
+-------------------------------------------------------------------
 --S 51 of 131
 ode121 := x*D(y(x),x) + sin(y(x)-x)
 --R
@@ -851,6 +932,8 @@ ode121 := x*D(y(x),x) + sin(y(x)-x)
 --E 51
 
 @
+Maxima fails.
+
 Mathematics gets
 $$\frac{\sin(x)}{1+\sin(x)}+x^{-sin(x)}C[1]$$
 which, on substitution, does not simplify to 0.
@@ -862,6 +945,7 @@ yx:=solve(ode121,y,x)
 --R                                                    Type: Union("failed",...)
 --E 52
 
+-------------------------------------------------------------------
 --S 53 of 131
 ode122 := x*D(y(x),x) + (sin(y(x))-3*x**2*cos(y(x)))*cos(y(x))
 --R
@@ -872,6 +956,8 @@ ode122 := x*D(y(x),x) + (sin(y(x))-3*x**2*cos(y(x)))*cos(y(x))
 --E 53
 
 @
+Maxima fails.
+
 Maple gets:
 $$\arctan\left(\frac{x^3+2~\_C1}{x}\right)$$
 which, on substitution, simplifies to 0.
@@ -887,6 +973,7 @@ yx:=solve(ode122,y,x)
 --R                                                    Type: Union("failed",...)
 --E 54
 
+-------------------------------------------------------------------
 --S 55 of 131
 ode123 := x*D(y(x),x) - x*sin(y(x)/x) - y(x)
 --R
@@ -897,6 +984,12 @@ ode123 := x*D(y(x),x) - x*sin(y(x)/x) - y(x)
 --E 55
 
 @
+Maxima gets:
+$$\%c~x=\%e^{\displaystyle -\frac{
+\log\left(\cos\left(\frac{y}{x}\right)+1\right)-
+\log\left(\cos\left(\frac{y}{x}\right)-1\right)}{2}}$$
+which, on substitution, does not simplify to 0.
+
 Maple gets:
 $$\arctan\left(\frac{2x~\_C1}{1+x^2~\_C1^2}\quad,\quad
 -\frac{-1+x^2~\_C1^2}{1+x^2~\_C1^2}\right)x$$
@@ -913,6 +1006,7 @@ yx:=solve(ode123,y,x)
 --R                                                    Type: Union("failed",...)
 --E 56
 
+-------------------------------------------------------------------
 --S 57 of 131
 ode124 := x*D(y(x),x) + x*cos(y(x)/x) - y(x) + x
 --R
@@ -923,6 +1017,11 @@ ode124 := x*D(y(x),x) + x*cos(y(x)/x) - y(x) + x
 --E 57
 
 @
+Maxima gets:
+$$\%c~x=\%e^{\displaystyle -\frac{\sin\left(\frac{y}{x}\right)}
+{\cos\left(\frac{y}{x}\right)+1}}$$
+which, on substitution, does not simplify to 0.
+
 Maple gets
 $$-2\arctan(\log(x)+~\_C1)x$$
 which, on substitution, does not simplify to 0.
@@ -938,6 +1037,7 @@ yx:=solve(ode124,y,x)
 --R                                                    Type: Union("failed",...)
 --E 58
 
+-------------------------------------------------------------------
 --S 59 of 131
 ode125 := x*D(y(x),x) + x*tan(y(x)/x) - y(x)
 --R
@@ -948,6 +1048,10 @@ ode125 := x*D(y(x),x) + x*tan(y(x)/x) - y(x)
 --E 59
 
 @
+Maxima gets:
+$$\arcsin\left(\frac{1}{\%c~x}\right)x$$
+which, on substitition, does simplifes to 0.
+
 Maple gets
 $$\arcsin\left(\frac{1}{x~\_C1}\right)x$$
 which, on substitution, simplifies to 0.
@@ -963,6 +1067,7 @@ yx:=solve(ode125,y,x)
 --R                                                    Type: Union("failed",...)
 --E 60
 
+-------------------------------------------------------------------
 --S 61 of 131
 ode126 := x*D(y(x),x) - y(x)*f(x*y(x))
 --R
@@ -973,6 +1078,8 @@ ode126 := x*D(y(x),x) - y(x)*f(x*y(x))
 --E 61
 
 @
+Maxima fails.
+
 Maple gets
 $$\frac{{\rm RootOf}\left(-\log(x)+~\_C1+
 \displaystyle\int^{\_Z}{\frac{1}{\displaystyle\_a(1+g(\_a))}}~d\_a\right)}{x}$$
@@ -989,6 +1096,7 @@ yx:=solve(ode126,y,x)
 --R                                                    Type: Union("failed",...)
 --E 62
 
+-------------------------------------------------------------------
 --S 63 of 131
 ode127 := x*D(y(x),x) - y(x)*f(x**a*y(x)**b)
 --R
@@ -998,6 +1106,8 @@ ode127 := x*D(y(x),x) - y(x)*f(x**a*y(x)**b)
 --R                                                     Type: Expression Integer
 --E 63
 @
+Maxima fails.
+
 Maple gives 0 which, on substitution simplifies to 0.
 
 Mathematica gives:
@@ -1011,6 +1121,7 @@ yx:=solve(ode127,y,x)
 --R                                                    Type: Union("failed",...)
 --E 64
 
+-------------------------------------------------------------------
 --S 65 of 131
 ode128 := x*D(y(x),x) + a*y(x) - f(x)*g(x**a*y(x))
 --R
@@ -1020,6 +1131,8 @@ ode128 := x*D(y(x),x) + a*y(x) - f(x)*g(x**a*y(x))
 --R                                                     Type: Expression Integer
 --E 65
 @
+Maxima fails.
+
 Maple gives 
 $$\frac{{\rm RootOf}\left(
 -\int{f(x)x^{(-1+a)}}~dx+\int^{\_Z}{\frac{1}{g(\_a)}~d\_a+\_C1}\right)}{x^a}$$
@@ -1036,6 +1149,7 @@ yx:=solve(ode128,y,x)
 --R                                                    Type: Union("failed",...)
 --E 66
 
+-------------------------------------------------------------------
 --S 67 of 131
 ode129 := (x+1)*D(y(x),x) + y(x)*(y(x)-x)
 --R
@@ -1045,6 +1159,10 @@ ode129 := (x+1)*D(y(x),x) + y(x)*(y(x)-x)
 --R                                                     Type: Expression Integer
 --E 67
 @
+Maxima gets:
+$$\frac{\%e^x}{(x+1)\left(\int{\frac{\%e^x}{(x+1)^2}}~dx+\%c\right)}$$
+which, on substitution, does not simplify to 0.
+
 Maple gives
 $$\frac{e^x}
 {-e^x-e^{(-1)}{\rm Ei}(1,-x-1)x-e^{(-1)}{\rm Ei}(1,-x-1)+x~\_C1+~\_C1}$$
@@ -1068,6 +1186,7 @@ yx:=solve(ode129,y,x)
 --R                                          Type: Union(Expression Integer,...)
 --E 68
 
+-------------------------------------------------------------------
 --S 69 of 131
 ode130 := 2*x*D(y(x),x) - y(x) -2*x**3
 --R
@@ -1077,6 +1196,11 @@ ode130 := 2*x*D(y(x),x) - y(x) -2*x**3
 --R                                                     Type: Expression Integer
 --E 69
 @
+Maxima gets:
+$$\%e^{\displaystyle\frac{\log(x)}{2}}\displaystyle
+\left(\frac{2\%e^{\displaystyle\frac{5\log(x)}{2}}}{5}+\%c\right)$$
+which, on substitution, does not give 0.
+
 Maple gives
 $$\frac{2x^3}{5}+\sqrt{x}~\_C1$$
 which, on substitution, simplifies to 0.
@@ -1112,6 +1236,7 @@ ode130expr := 2*x*D(yx,x) - yx -2*x**3
 --R                                                     Type: Expression Integer
 --E 72
 
+-------------------------------------------------------------------
 --S 73 of 131
 ode131 := (2*x+1)*D(y(x),x) - 4*exp(-y(x)) + 2
 --R
@@ -1121,6 +1246,11 @@ ode131 := (2*x+1)*D(y(x),x) - 4*exp(-y(x)) + 2
 --R                                                     Type: Expression Integer
 --E 73
 @
+Maxima gets:
+$$\log\left(\frac{4\%e^{2\%c}x+2\%e^{2\%c}+1}
+{2\%e^{2\%c}x+\%e^{2\%c}}\right)$$
+which simplifies to 0 when substituted.
+
 Maple gives
 $$-\log\left(\frac{2x+1}{-1+4xe^{(2~\_C1)}+2e^{(2~\_C1)}}\right)-2~\_C1$$
 which simplifies to 0 when substituted.
@@ -1151,6 +1281,7 @@ ode131expr := (2*x+1)*D(yx,x) - 4*exp(-yx) + 2
 --R                                                     Type: Expression Integer
 --E 75
 
+-------------------------------------------------------------------
 --S 76 of 131
 ode132 := 3*x*D(y(x),x) - 3*x*log(x)*y(x)**4 - y(x)
 --R
@@ -1160,6 +1291,15 @@ ode132 := 3*x*D(y(x),x) - 3*x*log(x)*y(x)**4 - y(x)
 --R                                                     Type: Expression Integer
 --E 76
 @
+Maxima gives 3 solutions.
+$$-\frac{\left(\sqrt{3}~4^{1/3}\%i-4^{1/3}\right)x^{1/3}}
+{2\left(6x^2\log(x)-3x^2+4\%c\right)^{1/3}}$$
+$$\frac{\left(\sqrt{3}~4^{1/3}\%i+4^{1/3}\right)x^{1/3}}
+{2\left(6x^2\log(x)-3x^2+4\%c\right)^{1/3}}$$
+$$-\frac{4^{1/3}x^{1/3}}{\left(6x^2\log(x)-3x^2+4\%c\right)^{1/3}}$$
+which, on substitution, simplifies to 0.
+
+
 Maple gives 3 solutions.
 $$\frac{\left(-4x(6x^2\log(x)-3x^2-4~\_C1)^2\right)^{(1/3)}}
 {6x^2\log(x)-3*x^2-4~\_C1}$$
@@ -1226,6 +1366,7 @@ ode132expr := 3*x*D(yx,x) - 3*x*log(x)*yx**4 - yx
 --R                                                     Type: Expression Integer
 --E 78
 
+-------------------------------------------------------------------
 --S 79 of 131
 ode133 := x**2*D(y(x),x) + y(x) - x
 --R
@@ -1235,6 +1376,11 @@ ode133 := x**2*D(y(x),x) + y(x) - x
 --R                                                     Type: Expression Integer
 --E 79
 @
+Maxima gets
+$$\%e^{1/x}
+\left(\int{\displaystyle\frac{\%e^{-\frac{1}{x}}}{x}}~dx+\%c\right)$$
+which, on substitution, simplifies to 0.
+
 Maple gives
 $$\left({\rm Ei}\left(1,\frac{1}{x}\right)+~\_C1\right)e^{(\frac{1}{x})}$$
 which simplifies to 0 on substitution.
@@ -1257,6 +1403,7 @@ yx:=solve(ode133,y,x)
 --RType: Union(Record(particular: Expression Integer,basis: List Expression Integer),...)
 --E 80
 
+-------------------------------------------------------------------
 --S 81 of 131
 ode134 := x**2*D(y(x),x) - y(x) + x**2*exp(x-1/x)
 --R
@@ -1269,6 +1416,10 @@ ode134 := x**2*D(y(x),x) - y(x) + x**2*exp(x-1/x)
 --R                                                     Type: Expression Integer
 --E 81
 @
+Maxima gets
+$$\%e^{\displaystyle -\frac{1}{x}}\left(\%c-\%e^x\right)$$
+which simplifies to 0 on substitution.
+
 Maple gets
 $$(-e^x+~\_C1)e^{\left(-\frac{1}{x}\right)}$$
 which simplifies to 0 on substitution.
@@ -1310,6 +1461,7 @@ ode134expr := x**2*D(yx,x) - yx + x**2*exp(x-1/x)
 --R                                                     Type: Expression Integer
 --E 84
 
+-------------------------------------------------------------------
 --S 85 of 131
 ode135 := x**2*D(y(x),x) - (x-1)*y(x)
 --R
@@ -1319,6 +1471,10 @@ ode135 := x**2*D(y(x),x) - (x-1)*y(x)
 --R                                                     Type: Expression Integer
 --E 85
 @
+Maxima gets
+$$\%c~x\%e^{1/x}$$
+which simplifies to 0 when substituted.
+
 Maple gets
 $$\_C1xe^{\left(\frac{1}{x}\right)}$$
 which simplifies to 0 when substituted.
@@ -1351,6 +1507,7 @@ ode135expr := x**2*D(yx,x) - (x-1)*yx
 --R                                                     Type: Expression Integer
 --E 88
 
+-------------------------------------------------------------------
 --S 89 of 131
 ode136 := x**2*D(y(x),x) + y(x)**2 + x*y(x) + x**2
 --R
@@ -1360,6 +1517,10 @@ ode136 := x**2*D(y(x),x) + y(x)**2 + x*y(x) + x**2
 --R                                                     Type: Expression Integer
 --E 89
 @
+Maxima gets
+$$-\frac{x\log(\%c~x)-x}{log(\%c~x)}$$
+which simplifies to 0 on substitution.
+
 Maple gets
 $$-\frac{x(-1+\log(x)+~\_C1)}{\log(x)+~\_C1}$$
 which simplifies to 0 on substitution.
@@ -1396,6 +1557,7 @@ ode136expr := x**2*D(yx,x) + yx**2 + x*yx + x**2
 --R                                                     Type: Expression Integer
 --E 91
 
+-------------------------------------------------------------------
 --S 92 of 131
 ode137 := x**2*D(y(x),x) - y(x)**2 - x*y(x)
 --R
@@ -1405,6 +1567,10 @@ ode137 := x**2*D(y(x),x) - y(x)**2 - x*y(x)
 --R                                                     Type: Expression Integer
 --E 92
 @
+Maxima gets
+$$\frac{x}{\log\left(\displaystyle \frac{1}{\%c~x}\right)}$$
+which simplifies to 0 on substitution.
+
 Maple gets:
 $$\frac{x}{-\log(x)+~\_C1}$$
 which simplifies to 0 on substitution.
@@ -1434,6 +1600,7 @@ ode137expr := x**2*D(yx,x) - yx**2 - x*yx
 --R                                                     Type: Expression Integer
 --E 94
 
+-------------------------------------------------------------------
 --S 95 of 131
 ode138 := x**2*D(y(x),x) - y(x)**2 - x*y(x) - x**2
 --R
@@ -1443,6 +1610,10 @@ ode138 := x**2*D(y(x),x) - y(x)**2 - x*y(x) - x**2
 --R                                                     Type: Expression Integer
 --E 95
 @
+Maxima gets
+$$\%c~x=\%e^{\arctan\left(\frac{y}{x}\right)}$$
+which does not simplify to 0 when substituted.
+
 Maple gets
 $$\tan(\log(x)+~\_C1)x$$
 which simplifies to 0 on substitution.
@@ -1514,6 +1685,7 @@ ode138expr := x**2*D(yx,x) - yx**2 - x*yx - x**2
 --R                                                     Type: Expression Integer
 --E 97
 
+-------------------------------------------------------------------
 --S 98 of 131
 ode139 := x**2*(D(y(x),x)+y(x)**2) + a*x**k - b*(b-1)
 --R
@@ -1523,6 +1695,14 @@ ode139 := x**2*(D(y(x),x)+y(x)**2) + a*x**k - b*(b-1)
 --R                                                     Type: Expression Integer
 --E 98
 
+@
+Maxima gets 6 answers, one of which is:
+$$\frac{-\left(3^{5/6}\%i\left(ax^k+\%ckx-\%cx+b^2k-bk-b^2+b\right)^{1/3}-
+3^{1/3}\left(ax^k+\%ckx-\%cx+b^2k-bk-b^2+b\right)^{1/3}\right)}
+{\left(2(k-1)^{1/3}x^{1/3}\right)}$$
+which simplifies to 0 on substitution.
+<<*>>=
+
 --S 99 of 131
 yx:=solve(ode139,y,x)
 --R
@@ -1530,6 +1710,7 @@ yx:=solve(ode139,y,x)
 --R                                                    Type: Union("failed",...)
 --E 99
 
+-------------------------------------------------------------------
 --S 100 of 131
 ode140 := x**2*(D(y(x),x)+y(x)**2) + 4*x*y(x) + 2
 --R
@@ -1539,6 +1720,10 @@ ode140 := x**2*(D(y(x),x)+y(x)**2) + 4*x*y(x) + 2
 --R                                                     Type: Expression Integer
 --E 100
 @
+Maxima gets
+$$-\frac{x-2\%c}{x^2-\%c~x}$$
+which simplifies to 0 when substituted.
+
 Maple gets
 $$-\frac{-2~\_C1+x}{x(-~\_C1+x)}$$
 which simplifies to 0 when substituted.
@@ -1570,6 +1755,7 @@ ode140expr := x**2*(D(yx,x)+yx**2) + 4*x*yx + 2
 --R                                                     Type: Expression Integer
 --E 102
 
+-------------------------------------------------------------------
 --S 103 of 131
 ode141 := x**2*(D(y(x),x)+y(x)**2) + a*x*y(x) + b
 --R
@@ -1579,6 +1765,14 @@ ode141 := x**2*(D(y(x),x)+y(x)**2) + a*x*y(x) + b
 --R                                                     Type: Expression Integer
 --E 103
 
+@
+Maxima gets:
+$$\%e^{\displaystyle -a\log(x)-2x}
+\left(\%c-b \int{\displaystyle
+\frac{\%e^{\displaystyle a\log(x)+2x}}{x^2}}~dx\right)$$
+which, when substituted, simplifies to 0.
+<<*>>=
+
 --S 104 of 131
 yx:=solve(ode141,y,x)
 --R                                                     2
@@ -1761,6 +1955,7 @@ ode141expr := x**2*(D(yx,x)+yx**2) + a*x*yx + b
 --R                                                     Type: Expression Integer
 --E 105
 
+-------------------------------------------------------------------
 --S 106 of 131
 ode142 := x**2*(D(y(x),x)-y(x)**2) - a*x**2*y(x) + a*x + 2
 --R
@@ -1770,6 +1965,10 @@ ode142 := x**2*(D(y(x),x)-y(x)**2) - a*x**2*y(x) + a*x + 2
 --R                                                     Type: Expression Integer
 --E 106
 
+@
+Maxima failed.
+<<*>>=
+
 --S 107 of 131
 yx:=solve(ode142,y,x)
 --R
@@ -1815,6 +2014,7 @@ ode142expr := x**2*(D(yx,x)-yx**2) - a*x**2*yx + a*x + 2
 --R                                                     Type: Expression Integer
 --E 108
 
+-------------------------------------------------------------------
 --S 109 of 131
 ode143 := x**2*(D(y(x),x)+a*y(x)**2) - b
 --R
@@ -1824,6 +2024,23 @@ ode143 := x**2*(D(y(x),x)+a*y(x)**2) - b
 --R                                                     Type: Expression Integer
 --E 109
 
+@
+Maxima, if $4ab+1 >= 0$ gets:
+$$x=\%c\%e^{
+-\frac{\displaystyle\log\left(
+-\frac{\displaystyle -2axy+\sqrt{4ab+1}+1}
+{\displaystyle 2axy+\sqrt{4ab+1}-1}\right)}
+{\displaystyle\sqrt{4ab+1}}}$$
+
+and if $4ab+1 < 0$ gets:
+$$x=\%c\%e^{
+-\frac{\displaystyle 2\arctan\left(
+\frac{\displaystyle 2axy-1}{\displaystyle\sqrt{-4ab-1}}\right)}
+{\displaystyle\sqrt{-4ab-1}}}$$
+
+neither of which simplify to 0 on substitution.
+<<*>>=
+
 --S 110 of 131
 yx:=solve(ode143,y,x)
 --R                                                     2
@@ -1877,6 +2094,7 @@ ode143expr := x**2*(D(yx,x)+a*yx**2) - b
 --R                                                     Type: Expression Integer
 --E 111
 
+-------------------------------------------------------------------
 --S 112 of 131
 ode144 := x**2*(D(y(x),x)+a*y(x)**2) + b*x**alpha + c
 --R
@@ -1886,6 +2104,9 @@ ode144 := x**2*(D(y(x),x)+a*y(x)**2) + b*x**alpha + c
 --R                                                     Type: Expression Integer
 --E 112
 
+@
+Maxima failed.
+<<*>>=
 --S 113 of 131
 yx:=solve(ode144,y,x)
 --R
@@ -1893,6 +2114,7 @@ yx:=solve(ode144,y,x)
 --R                                                    Type: Union("failed",...)
 --E 113
 
+-------------------------------------------------------------------
 --S 114 of 131
 ode145 := x**2*D(y(x),x) + a*y(x)**3 - a*x**2*y(x)**2
 --R
@@ -1903,6 +2125,8 @@ ode145 := x**2*D(y(x),x) + a*y(x)**3 - a*x**2*y(x)**2
 --E 114
 
 @
+Maxima failed.
+
 Maple claims the result is 0, which when substituted, simplifies to 0
 <<*>>=
 --S 115 of 131
@@ -1912,6 +2136,7 @@ yx:=solve(ode145,y,x)
 --R                                                    Type: Union("failed",...)
 --E 115
 
+-------------------------------------------------------------------
 --S 116 of 131
 ode146 := x**2*D(y(x),x) + x*y(x)**3 + a*y(x)**2
 --R
@@ -1922,6 +2147,8 @@ ode146 := x**2*D(y(x),x) + x*y(x)**3 + a*y(x)**2
 --E 116
 
 @
+Maxima failed.
+
 Maple gets 0 which, when substituted, simplifies to 0.
 <<*>>=
 --S 117 of 131
@@ -1931,6 +2158,7 @@ yx:=solve(ode146,y,x)
 --R                                                    Type: Union("failed",...)
 --E 117
 
+-------------------------------------------------------------------
 --S 118 of 131
 ode147 := x**2*D(y(x),x) + a*x**2*y(x)**3 + b*y(x)**2
 --R
@@ -1940,6 +2168,8 @@ ode147 := x**2*D(y(x),x) + a*x**2*y(x)**3 + b*y(x)**2
 --R                                                     Type: Expression Integer
 --E 118
 @
+Maxima failed.
+
 Maple gets 0 which, when substituted, results in 0.
 <<*>>=
 --S 119 of 131
@@ -1949,6 +2179,7 @@ yx:=solve(ode147,y,x)
 --R                                                    Type: Union("failed",...)
 --E 119
 
+-------------------------------------------------------------------
 --S 120 of 131
 ode148 := (x**2+1)*D(y(x),x) + x*y(x) - 1
 --R
@@ -1958,6 +2189,10 @@ ode148 := (x**2+1)*D(y(x),x) + x*y(x) - 1
 --R                                                     Type: Expression Integer
 --E 120
 @
+Maxima gets
+$$({\rm asinh}(x)+\%c)\%e^{-\frac{\displaystyle\log(x^2+1)}{\displaystyle 2}}$$
+which when substituted, does not simplify to 0.
+
 Maple gets
 $$\frac{{\rm arcsinh}(x)+~\_C1}{\sqrt{x^2+1}}$$
 which when substituted, simplifies to 0.
@@ -1999,6 +2234,7 @@ ode148expr := (x**2+1)*D(yx,x) + x*yx - 1
 --R                                                     Type: Expression Integer
 --E 123
 
+-------------------------------------------------------------------
 --S 124 of 131
 ode149 := (x**2+1)*D(y(x),x) + x*y(x) - x*(x**2+1)
 --R
@@ -2008,6 +2244,11 @@ ode149 := (x**2+1)*D(y(x),x) + x*y(x) - x*(x**2+1)
 --R                                                     Type: Expression Integer
 --E 124
 @
+Maxima gets
+$$\left(\displaystyle\frac{(x^2+1)^{3/2}}{3}+\%c\right)
+\%e^{\displaystyle -\frac{log(x^2+1)}{2}}$$
+which simplifies to 0 when substituted.
+
 Maple gets
 $$\frac{x^2}{3}+\frac{1}{3}+\frac{\_C1}{\sqrt{x^2+1}}$$
 which simplifies to 0 when substituted.
@@ -2045,6 +2286,7 @@ ode149expr := (x**2+1)*D(yx,x) + x*yx - x*(x**2+1)
 --R                                                     Type: Expression Integer
 --E 127
 
+-------------------------------------------------------------------
 --S 128 of 131
 ode150 := (x**2+1)*D(y(x),x) + 2*x*y(x) - 2*x**2
 --R
@@ -2054,6 +2296,10 @@ ode150 := (x**2+1)*D(y(x),x) + 2*x*y(x) - 2*x**2
 --R                                                     Type: Expression Integer
 --E 128
 @
+Maxima gets
+$$\displaystyle\frac{\frac{2x^3}{3}+\%c}{x^2+1}$$
+which simplifies to 0 on substitution.
+
 Maple gets
 $$\frac{\frac{2x^3}{3}+~\_C1}{x^2+1}$$
 which simplifies to 0 on substitution.
@@ -2100,5 +2346,6 @@ ode150expr := (x**2+1)*D(yx,x) + 2*x*yx - 2*x**2
 \bibitem{1} {\bf http://www.cs.uwaterloo.ca/$\tilde{}$ecterrab/odetools.html}
 \bibitem{2} Mathematica 6.0.1.0
 \bibitem{3} Maple 11.01 Build ID 296069
+\bibitem{4} Maxima 5.13.0
 \end{thebibliography}
 \end{document}
